org.gcube.dataanalysis.dataminer.poolmanager.ansiblebridge.template

## Class AlgorithmPackage

- java.lang.Object
- - org.gcube.dataanalysis.dataminer.poolmanager.ansiblebridge.template.AlgorithmPackage

    public class AlgorithmPackage
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`AlgorithmPackage(Algorithm a, boolean includeAlgorithmDependencies)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected Algorithm` `getAlgorithm()`
`protected Map<String,String>` `getDictionary(Algorithm a)`
`Collection<Role>` `getRoles(TemplateManager tm)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AlgorithmPackage

    public AlgorithmPackage(Algorithm a,
                            boolean includeAlgorithmDependencies)

### Method Detail

#### getDictionary

    protected Map<String,String> getDictionary(Algorithm a)

#### getAlgorithm

    protected Algorithm getAlgorithm()

#### getRoles

    public Collection<Role> getRoles(TemplateManager tm)